

#include <Python.h>

#include <recls.h>

#include <stlsoft.h>

#if defined(RECLS_PLATFORM_IS_UNIX)

# include <unixstl.h>

#elif defined(RECLS_PLATFORM_IS_WIN32)

# include <winstl.h>

#else

# error Platform not discriminated

#endif /* platform */


static PyObject		*ReclsError;


BOOL APIENTRY DllMain(	HINSTANCE	hinst
					,	DWORD		reason
					,	LPVOID		pv)
{
	return TRUE;
}


PyObject *recls_search(PyObject *pSelf, PyObject *pArgs)
{
	return NULL;
}

//PyObject *recls_

#if 1
PyObject *py1test_test(PyObject *pSelf, PyObject *pArgs)
{
	::MessageBox(NULL, "test", "py1test", MB_OK);

	Py_INCREF(Py_None);
	return Py_None;
}

PyObject *py1test_test2(PyObject *pSelf, PyObject *pArgs)
{
	int	iArg0;

	if(!PyArg_ParseTuple(pArgs, "i", &iArg0))
	{
		PyErr_SetString(PyExc_StandardError, "test2() takes one integer parameter");

		return NULL;
	}
	else
	{

	::MessageBox(NULL, "test2", "py1test", MB_OK);

		Py_INCREF(Py_None);
		return Py_None;
	}
}


static PyMethodDef py1testMethods[] = 
{
		{ "test", py1test_test, METH_NOARGS/* METH_VARARGS */, "test()" }
	,	{ "test2", py1test_test2, METH_VARARGS, "test2(i)" }
	,	{ NULL, NULL, 0, NULL }
};

extern "C" void initpy1test()
{
	PyObject	*module	=	Py_InitModule("py1test", py1testMethods);

//	if()
	{
		ReclsError = PyErr_NewException("recls.error", NULL, NULL);
		Py_INCREF(ReclsError);

		PyModule_AddObject(module, "error", ReclsError);
	}
}
#endif /* 0 */
